Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class LaneModel

    java.lang.Object
      |
      +--LaneModel

public class LaneModel
extends java.lang.Object

Field Summary
`protected int` | `busyness`
`protected int` | `carQueue`
`int` | `endJunctionID`
`protected int` | `endJunctionIndex`
`protected int` | `endJunctionSide`
`int` | `startJunctionID`
`protected int` | `startJunctionIndex`
`protected int` | `startJunctionSide`

Constructor Summary
`LaneModel(int iD, RoadNetwork parent, int numOfSections, int busyness, int startJunctionID, int endJunctionID)`

Method Summary
`void` | `addLaneSection(int startX, int startY, int endX, int endY)`
`void` | `drawAllCars(java.awt.Graphics2D g2d)`
`Car` | `getCar(java.awt.geom.Point2D p)` Due to mouse Events
`int` | `getEndingXCoord()`
`int` | `getEndingYCoord()`
`LaneSection` | `getEndLaneSection()`
`int` | `getID()`
`LaneSection` | `getLaneSection(int index)`
`int` | `getNumberOfLaneSections()`
`int` | `getSpeeds()`
`LaneSection` | `getStartingLaneSection()`
`int` | `getStartingXCoord()`
`int` | `getStartingYCoord()`
`double` | `getTotalLength()`
`boolean` | `isOkToGo(Car currentcar, double cdist)`
`void` | `kill()`
`int` | `numStationaryCars()`
`CarContainer` | `passToJunction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startJunctionID

    public int startJunctionID

### endJunctionID

    public int endJunctionID

### startJunctionSide

    protected int startJunctionSide

### endJunctionSide

    protected int endJunctionSide

### startJunctionIndex

    protected int startJunctionIndex

### endJunctionIndex

    protected int endJunctionIndex

### busyness

    protected int busyness

### carQueue

    protected int carQueue

Constructor Detail

### LaneModel

    public LaneModel(int iD,
                     RoadNetwork parent,
                     int numOfSections,
                     int busyness,
                     int startJunctionID,
                     int endJunctionID)

Method Detail

### addLaneSection

    public void addLaneSection(int startX,
                               int startY,
                               int endX,
                               int endY)

### getID

    public int getID()

### getStartingXCoord

    public int getStartingXCoord()

### getStartingYCoord

    public int getStartingYCoord()

### getEndingXCoord

    public int getEndingXCoord()

### getEndingYCoord

    public int getEndingYCoord()

### getStartingLaneSection

    public LaneSection getStartingLaneSection()

### getEndLaneSection

    public LaneSection getEndLaneSection()

### getLaneSection

    public LaneSection getLaneSection(int index)

### passToJunction

    public CarContainer passToJunction()

### getNumberOfLaneSections

    public int getNumberOfLaneSections()

### drawAllCars

    public void drawAllCars(java.awt.Graphics2D g2d)

### numStationaryCars

    public int numStationaryCars()

### kill

    public void kill()

### isOkToGo

    public boolean isOkToGo(Car currentcar,
                            double cdist)

### getTotalLength

    public double getTotalLength()

### getCar

    public Car getCar(java.awt.geom.Point2D p)

  Due to mouse Events

### getSpeeds

    public int getSpeeds()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD